commit
dbcc78881f
|
@ -0,0 +1,40 @@
|
|||
# configuration file for socklog
|
||||
|
||||
# date
|
||||
regexp=^[0-9-]+(T)[0-9:]+(\.[0-9]{5})
|
||||
colours=default,black,black
|
||||
count=once
|
||||
-
|
||||
# facility
|
||||
regexp=\ ([a-z]+)\.([a-z]+):\ (([a-z-_]+):)?
|
||||
colours=default,blue,cyan,default,blue
|
||||
count=once
|
||||
-
|
||||
# severity
|
||||
regexp=\.(warn|err|crit|alert|emerg):
|
||||
colours=default,red
|
||||
count=once
|
||||
-
|
||||
# everything in parentheses
|
||||
regexp=\(([^)]+)\)|\[([^\]]+)\]
|
||||
colours=green
|
||||
-
|
||||
# everything in `'
|
||||
regexp=\`.+?\'
|
||||
colours=yellow
|
||||
-
|
||||
# process and pid
|
||||
regexp=([\w/\.\-]+)(\[\d+?\])
|
||||
colours=blue,yellow
|
||||
-
|
||||
# ip number
|
||||
regexp=\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}
|
||||
colours=magenta
|
||||
-
|
||||
# connect
|
||||
regexp=connect
|
||||
colours=on_red
|
||||
-
|
||||
# sec
|
||||
regexp=\[[0-9\ ]+\.[0-9]{6}\]
|
||||
colours=black
|
|
@ -0,0 +1,8 @@
|
|||
--- install.sh 2013-06-30 16:35:13.000000000 +0200
|
||||
+++ install.sh 2014-12-17 19:46:12.973707189 +0100
|
||||
@@ -12,3 +12,5 @@
|
||||
cp -fv conf.* $LIBDIR
|
||||
mkdir -p $CONFDIR || true
|
||||
cp -fv grc.conf $CONFDIR
|
||||
+mkdir -p $MANDIR || true
|
||||
+cp -fv {grcat,grc}.1 $MANDIR
|
|
@ -0,0 +1,19 @@
|
|||
# Template build file for 'grc'.
|
||||
pkgname=grc
|
||||
version=1.5
|
||||
revision=1
|
||||
short_desc="Colouriser for logfiles and output of commands"
|
||||
homepage="http://korpus.juls.savba.sk/~garabik/software/grc.html"
|
||||
license="GPL-2"
|
||||
maintainer="Georg Schabel <gescha@posteo.de>"
|
||||
|
||||
distfiles="http://korpus.juls.savba.sk/~garabik/software/${pkgname}/${pkgname}_${version}.tar.gz"
|
||||
checksum=a2581f065236868bd8b09536616a588792f60fcba4e54d69e2cad65aae73dddc
|
||||
depends="python"
|
||||
noarch="yes"
|
||||
conf_files="/etc/${pkgname}.conf"
|
||||
|
||||
do_install() {
|
||||
./install.sh ${DESTDIR}
|
||||
vinstall ${FILESDIR}/conf.socklog 644 usr/share/grc
|
||||
}
|
Loading…
Reference in New Issue